Subject: Bug#774: [X2Go-Dev] Bug#774: please set DESKTOP_SESSION and XDG_CURRENT_DESKTOP like local sessions

From: Mike Gabriel <[email-masked]>
Date: Thu, 05 Feb 2015 11:31:05 +0000

Hi Ryan,

On  Do 29 Jan 2015 19:17:40 CET, Ryan Tandy wrote:

> Package: x2goserver
> Version: 4.1.0.0-0~1215~ubuntu14.04.1
> Severity: wishlist
>
> Hi,
>
> In Ubuntu before 15.04, and Debian jessie, the DESKTOP_SESSION for  
> GNOME Flashback is actually "gnome-fallback". In particular, this  
> name is found in /etc/upstart-xsessions while "gnome-flashback" is  
> not, which prevents Upstart user sessions from being enabled.  
> ("gnome-session --session=gnome-flashback is still the correct  
> command, though.)
>
> Furthermore, recent (Ubuntu >= 13.10, Debian jessie) login managers  
> also export XDG_CURRENT_DESKTOP using the value of the DesktopNames  
> field from the session file. This variable is starting to gain wide  
> use by applications that care about the desktop environment they run  
> under.
>
> I can write a patch that adds all this information to x2goruncommand  
> in the existing format. However it occurs to me that it might make  
> more sense to parse the files in /usr/share/xsessions and use the  
> information directly instead of duplicating it. Please let me know  
> which you'd prefer to see.

x2goruncommand actually requires a complete rewrite (and has to be  
based on freedesktop.org specs).

Until that happens, let's hard-code this stuff. Please provide your patch.

Thanks!
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb